MPROTECT(2)

NAME
mprotect - control the protection of pages

LIBRARY
libc

SYNOPSIS
#include <sys/types.h>
#include <sys/mman.h>
int
mprotect(const void *addr, size_t len, int prot);

DESCRIPTION
The mprotect() system call changes the specified pages to have protection prot. Not all implementations will guarantee protection on a page basis; the granularity of protection changes may be as large as an entire region.

RETURN VALUES
Upon successful completion, mprotect() returns 0. Otherwise a value of -1 is returned and errno is set to indicate the error.

ERRORS
The mprotect() function will fail if:

[EINVAL]
    The virtual address range specified by the addr and len arguments is not valid.

[EACCES]
    The calling process was not allowed to change the protection to the value specified by the prot argument.

SEE ALSO
madvise(2), mincore(2), msync(2), munmap(2)

HISTORY
The mprotect() function first appeared in 4.4BSD.